jdbm

## Class RecordManagerFactory

- java.lang.Object
- - jdbm.RecordManagerFactory

    public final class RecordManagerFactory
    extends Object

This is the factory class to use for instantiating `RecordManager` instances.

Author:
  Alex Boisvert, Cees de Groot

### Constructor Summary

Constructors
Constructor and Description
`RecordManagerFactory()`

### Method Summary

Methods
`static RecordManager` `createRecordManager(String name)` Create a record manager.
`static RecordManager` `createRecordManager(String name, Properties options)` Create a record manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecordManagerFactory

    public RecordManagerFactory()

### Method Detail

#### createRecordManager

    public static RecordManager createRecordManager(String name)
                                             throws IOException

Create a record manager.

Parameters:
  `name` - Name of the record file.
Throws:
  `IOException` - if an I/O related exception occurs while creating or opening the record manager.
  `UnsupportedOperationException` - if some options are not supported by the implementation.
  `IllegalArgumentException` - if some options are invalid.

#### createRecordManager

    public static RecordManager createRecordManager(String name,
                                    Properties options)
                                             throws IOException

Create a record manager.

Parameters:
  `name` - Name of the record file.
  `options` - Record manager options.
Throws:
  `IOException` - if an I/O related exception occurs while creating or opening the record manager.
  `UnsupportedOperationException` - if some options are not supported by the implementation.
  `IllegalArgumentException` - if some options are invalid.